package com.bonus.system.file.util;

/**
 * @className:FileUtils
 * @author:cwchen
 * @date:2025-02-19-15:27
 * @version:1.0
 * @description:文件工具类
 */
public class FileUtils {

    /**
     * 获取文件后缀
     * @param fileName
     * @return String
     * @author cwchen
     * @date 2025/2/19 15:27
     */
    public static String getFileExtension(String fileName) {
        if (fileName == null) {
            return null;
        }
        int lastDotIndex = fileName.lastIndexOf('.');
        if (lastDotIndex == -1) {
            // 没有后缀
            return "";
        }
        return fileName.substring(lastDotIndex + 1);
    }

    public static int getFileType(String fileName) {
        if (fileName == null) {
            return 2; // 默认返回文件类型
        }
        // 获取文件后缀
        String fileExtension = getFileExtension(fileName).toLowerCase();
        // 常见图片后缀
        String[] imageExtensions = {"jpg", "jpeg", "png", "gif", "bmp", "webp"};
        // 判断是否是图片
        for (String ext : imageExtensions) {
            if (ext.equals(fileExtension)) {
                return 1; // 图片类型
            }
        }
        return 2; // 其他文件类型
    }
}
